| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iutil/comp.h File Reference

Generic component interface. More...

`#include "csutil/scf_interface.h"`

Go to the source code of this file.

## Classes
struct | iComponent
| This interface describes a generic component in Crystal Space. More...

## Detailed Description

Generic component interface.

Definition in file comp.h.